<?php
/*
Plugin Name: Sitewide (Admin) Header/Footer
Description:Change the header/footer of the front- and backend of WP
Version: 0.6
Requires at least: WP 3.0.0
Tested up to: WP 3.0.1
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
Author: Brajesh Singh, Philipp Schr&ouml;er
Author URI: 
Plugin URI:
Sitewide Only:true
Network:true
Last Modified: October 25, 2010
*/
/***
    Copyright (C) 2009 Brajesh Singh(buddydev.com), 2010 Philipp Schr&ouml;er

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or  any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses>.

    */


// i18n
// there is no .pot file but you can use the default.po as a template
$plugin_dir = basename(dirname(__FILE__)).
load_plugin_textdomain( 'sitewide-header-footer', 'wp-content/plugins/' . plugin_basename(dirname(__FILE__)) . '/languages', '' . plugin_basename(dirname(__FILE__)) . '/languages' ); 



// add text boxes to WP MultiSite options page
add_action('wpmu_options', 'shf_options');

// set options after clicking 'save' in WP MultiSite options page 
add_action('update_wpmu_options', 'shf_update_options');

// add actions for output
add_filter('admin_footer_text', 'shf_admin_footer_output');
add_action('admin_head', 'shf_admin_header_output');
add_action('wp_footer', 'shf_footer_output');
add_action('wp_head', 'shf_header_output');



// ---------- SETTINGS ----------

function shf_options()
{
//if there is already the sitewide footer content
//show it in the form 
$shf_admin_footer_content=get_site_option("shf_admin_footer_content");
$shf_admin_header_content=get_site_option("shf_admin_header_content");
$shf_footer_content=get_site_option("shf_footer_content");
$shf_header_content=get_site_option("shf_header_content");
?>
<h3><?php _e('Sitewide Header/Footer','sitewide-header-footer'); ?></h3>
<table class="form-table">
    <tr valign="top">
                <th scope="row"><?php _e('Sitewide Admin Header Content','sitewide-header-footer'); ?></th> 
                    <td>
                        <textarea rows="5" cols="40" id="shf_admin_header_content" name="shf_admin_header_content"><?php echo stripslashes( $shf_admin_footer_content ); ?></textarea>
                        
                    <br/>
                    <?php _e('If you want you can use XHTML markup here.','sitewide-header-footer'); ?>                      </td> 
            </tr>
               <tr>
               <th scope="row"><?php _e('Sitewide Admin Footer Content','sitewide-header-footer'); ?></th> 
                    <td>
                        <textarea rows="5" cols="40" id="shf_admin_footer_content" name="shf_admin_footer_content"><?php echo stripslashes( $shf_admin_header_content ); ?></textarea>
                        
                    <br/>
                    <?php _e('If you want you can use XHTML markup here.','sitewide-header-footer'); ?>               </td> 
            </tr>
            <tr>
               <th scope="row"><?php _e('Sitewide Header Content','sitewide-header-footer'); ?></th> 
                    <td>
                        <textarea rows="5" cols="40" id="shf_header_content" name="shf_header_content"><?php echo stripslashes( $shf_header_content ); ?></textarea>
                        
                    <br/>
                    <?php _e('If you want you can use XHTML markup here.','sitewide-header-footer'); ?>               </td> 
            </tr>
            <tr>
               <th scope="row"><?php _e('Sitewide Footer Content','sitewide-header-footer'); ?></th> 
                    <td>
                        <textarea rows="5" cols="40" id="shf_footer_content" name="shf_footer_content"><?php echo stripslashes( $shf_footer_content ); ?></textarea>
                        
                    <br/>
                    <?php _e('If you want you can use XHTML markup here.','sitewide-header-footer'); ?>               </td> 
            </tr>
            
    </table>
<?php

}



function shf_update_options()
{
    //let us store it in site meta table
  
    
    // Admin Header
   $shf_admin_header_content = $_POST['shf_admin_header_content'];
    
    if(empty($shf_admin_header_content)) {
        $shf_admin_header_content='';
    }
    update_site_option( 'shf_admin_header_content' , $shf_admin_header_content );
    
    // Admin Footer
    $shf_admin_footer_content = $_POST['_admin_footer_content'];
    if(empty($shf_admin_footer_content)) {
        $shf_admin_footer_content='';
    }
    update_site_option( 'shf_admin_footer_content' , $shf_admin_footer_content );

    // Frontend Header
    $shf_header_content = $_POST['_header_content'];
    if(empty($shf_header_content)) {
        $shf_header_content='';
    }
    update_site_option( 'shf_header_content' , $shf_header_content );
    
    // Frontend Footer
    $shf_footer_content = $_POST['_footer_content'];
    if(empty($shf_footer_content)) {
        $shf_footer_content='';
    }
    update_site_option( 'shf_footer_content' , $shf_footer_content );
    

}

// ---------- OUTPUT ----------

//show the changed sitewide footer text depending on admin prefs

// Admin footer
function shf_admin_footer_output($content)
{
  $shf_admin_footer_content=get_site_option("shf_admin_footer_content");

    if(empty($shf_admin_footer_content)) {
        return $content;//do not modify
    } else {
        return stripslashes($shf_admin_footer_content);//let us return the modified content
    }
}


// Admin header
function shf_admin_header_output($content)
{
  $shf_admin_header_content=get_site_option("shf_admin_header_content");

    if(empty($shf_admin_header_content))
        echo $content;
    else
        echo stripslashes($shf_admin_header_content);
}


// Footer
function shf_footer_output($content)
{
  $shf_footer_content=get_site_option("shf_footer_content");

    if(empty($shf_footer_content))
        echo $content;//do not modify
    else
        echo stripslashes($shf_footer_content);//let us return the modified content
}


// Header
function shf_header_output($content)
{
  $shf_header_content=get_site_option("shf_header_content");

    if(empty($shf_header_content))
        echo $content;
    else
        echo stripslashes($shf_header_content);
}


?>